libname bank_it 'c:\aa\corsi\corso-sas\';

/* I dati in questione sono quelli dello studio del 1998 della Banca d'Italia 
   su "Indagine sui bilanci delle famiglie"; alcuni file dell'indagine sono 
   stati importati con comando interattivo import-data, e opzione CVS sul 
   tipo-file; i comandi relativi all'importazione sono salvati nel file 
   import-cvs.sas

   i due file importati contengono rispettivamente redditi e consumi delle
   famiglie 
*/
PROC IMPORT OUT= BANK_IT.rfam1998 
            DATAFILE= "C:\AA\Dati\BankItalia\rfam98.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;

PROC IMPORT OUT= BANK_IT.cfam1998 
            DATAFILE= "C:\AA\Dati\BankItalia\confam98.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;

proc contents data=BANK_IT.rfam1998 ;
run;
proc contents data=BANK_IT.cfam1998;
run;

QUIT;
