libname bank_it 'c:\aa\corsi\corso-sas\';

title "Studio Banca d'Italia sulle famiglie italiane, anno 1998";

data tempor;
  set bank_it.rfam1998;
  set bank_it.cfam1998;
  keep nquest y yl yc cd cn s;
  where y>0 & y<500000;
  label y  = 'reddito disponibile netto'
        yl = 'reddito da lavoro dipendente'
        yc = 'reddito da capitale'
        cd = 'consumi durevoli'
		cn = 'consumi non durevoli' 
		s  = 'risparmio';
run;

proc reg data=tempor;
  model cn = y;
  plot cn * y ;
  model cn = yl;
  plot cn *yl; 
run;
