libname geyser 'c:\aa\corsi\corso-sas';

data geyser.dat;
  infile 'c:\aa\dati\geyser.dat';
  input  d_m $1 d_sec 2-3  @5 w;
  secondi = d_sec;
  min= d_m;
  if(d_sec = '.') then secondi=0;
  if(d_m = "S") then min = 2;
  if(d_m = "M") then min = 3;
  if(d_m = "L") then min = 4;
  durata = min + secondi/60;
  select;
  when (d_m = "L" | d_m = "M" | d_m = "S") 
    night=1; 
  otherwise
    night=0;
  end; 
  label 
     durata="durata dell'eruzione (minuti)"
	 w = "tempo di attesa (minuti)";
run;

/*

PROC ARIMA opzioni;
  IDENTIFY VAR=variabile opzioni;
  ESTIMATE opzioni;
  FORECAST LEAD=numero opzioni;
  QUIT;
  BY variabili;
*/

proc arima data=geyser.dat;
  identify var=w;
  estimate p=2 q=1 method=ML;
  forecast lead=30 OUT=geyser.lead;
run;
quit;

