libname bissell 'c:\aa\corsi\corso-sas\'; 

data bissell.dat;
infile 'c:\aa\corsi\lab\materiali\bissell.dat';
input lungh difetti;
label lungh = 'lunghezza (m)';
label difetti = 'N.ro difetti';
retain sommal 0;
retain sommad 0;
sommal=sommal+lungh;
sommad=sommad+difetti;
beta=sommad/sommal;
peso=1/lungh;
run;
proc print data=bissell.dat;
var lungh sommal beta;
run;
proc reg data=bissell.dat gout=bissell.graph;
model Poisson : difetti=lungh / noint;
weight peso;
output out=bissell.reg predicted=pred residual=res;
paint allobs / reset;
plot difetti*lungh ;
run;
/*
proc gplot data=bissell.reg;
axis1 label = (F=swiss H=0.7)
     order = 0 to 1000 by 200;      
plot difetti*lungh=1 pred*lungh=3 / overlay haxis=axis1;
run;
quit; 
*/
