LIBNAME geyser 'M:\corsi\sc1\sas\libs';
GOPTIONS reset=global;

DATA esempio;
	DO x=-5 TO 5 BY 0.1;
		y1=cos((log(1+x**2))/(sin(x)+1));
		y2=sqrt(1+x**2)/(cos(x)*sin(x)+2);
		OUTPUT;
	END;
RUN;

PROC GPLOT DATA=esempio;
	TITLE 'Una strana funzione';
	SYMBOL i=join;	/* congiunge i punti */
	PLOT y1*x;
	FOOTNOTE 'nota a fondo pagina';
RUN;

PROC GPLOT DATA=esempio;
	TITLE1 'Titolo grande';
	TITLE2 'Titolo piccolo';
	PLOT y2*x;
RUN;

