#-------------------------------------------------------------------------------
#----- Es 1.a ------------------------------------------------------------------
#-------------------------------------------------------------------------------
gamsim<-function (n,a,b) {
	x<-rgamma(n,a,b)
	hist(x)
	return(list(media=mean(x),var=var(x),camp=x))
}

#-------------------------------------------------------------------------------
#----- Es 1.b ------------------------------------------------------------------
#-------------------------------------------------------------------------------
> gamsim(1000,.5,1)[1:2]
$media
[1] 0.5537248

$var
[1] 0.6003032

> 

#-------------------------------------------------------------------------------
#----- Es 1.c ------------------------------------------------------------------
#-------------------------------------------------------------------------------
> part
function (r=1,c=1) {
        par(mfrow=c(r,c))
} 
> part(2,2)
> for (i in 1:4) print(c(gamsim(1000,.5,1)[1:2],"----------------"))
$media
[1] 0.4774916

$var
[1] 0.4120859

[[3]]
[1] "----------------"

$media
[1] 0.5175466

$var
[1] 0.5592114

[[3]]
[1] "----------------"

$media
[1] 0.4802429

$var
[1] 0.4552671

[[3]]
[1] "----------------"

$media
[1] 0.5015664

$var
[1] 0.5031452

[[3]]
[1] "----------------"

> 

#-------------------------------------------------------------------------------
#----- Es 1.d ------------------------------------------------------------------
#-------------------------------------------------------------------------------
> for (i in 1:4) print(c(gamsim(1000,c(.5,2,5,10)[i],1)[1:2],"----------------"))
$media
[1] 0.49359

$var
[1] 0.5306733

[[3]]
[1] "----------------"

$media
[1] 2.008552

$var
[1] 1.842413

[[3]]
[1] "----------------"

$media
[1] 4.948757

$var
[1] 4.855116

[[3]]
[1] "----------------"

$media
[1] 10.02940

$var
[1] 9.323516

[[3]]
[1] "----------------"

#-------------------------------------------------------------------------------
#----- Es 1.e ------------------------------------------------------------------
#-------------------------------------------------------------------------------
> for (i in 1:4) print(c(gamsim(1000,2,c(.5,1,5,10)[i])[1:2],"----------------"))
$media
[1] 4.020286

$var
[1] 8.011216

[[3]]
[1] "----------------"

$media
[1] 2.046243

$var
[1] 2.084202

[[3]]
[1] "----------------"

$media
[1] 0.4113638

$var
[1] 0.08461772

[[3]]
[1] "----------------"

$media
[1] 0.2050478

$var
[1] 0.02146093

[[3]]
[1] "----------------"

#-------------------------------------------------------------------------------
#----- Es 1.f ------------------------------------------------------------------
#-------------------------------------------------------------------------------
#####commento

#-------------------------------------------------------------------------------
#----- Es 2.a ------------------------------------------------------------------
#-------------------------------------------------------------------------------
nlv<-function (theta,x) {
	return(-x[1]*log(2+theta) -x[2]*log(1-theta) -x[3]*log(theta))
}

#-------------------------------------------------------------------------------
#----- Es 2.b ------------------------------------------------------------------
#-------------------------------------------------------------------------------
> nlv(.3,x)
[1] -49.62492
 

#-------------------------------------------------------------------------------
#----- Es 2.c ------------------------------------------------------------------
#-------------------------------------------------------------------------------
nlv.plot<-function (x=c(125,38,34)) {
    grid_(0:10000)/10000
    plot(grid,nlv(grid,x),col=2,xlab="theta",ylab="nlv",type="l")
}

# oppure

nlv.plotc<-function () {
    nlv2<-function (x) {
        return(-125*log(2+x) -38*log(1-x) -34*log(x))
    }
    curve(nlv2,from=0,to=1,ylab='nlv',xlab='theta',xlim=c(0,1),ylim=c(-60,250))
}


#-------------------------------------------------------------------------------
#----- Es 2.d ------------------------------------------------------------------
#-------------------------------------------------------------------------------
> optim(.5,nlv,x=c(125,38,34))$par
[1] 0.6268555


#-------------------------------------------------------------------------------
#----- Es 2.e ------------------------------------------------------------------
#-------------------------------------------------------------------------------
> abline(v=smv,lty=2,col='red')


#-------------------------------------------------------------------------------
#----- Es 2.f ------------------------------------------------------------------
#-------------------------------------------------------------------------------
part()
nlv.plotc()
abline(v=smv,lty=2,col='red')
abline(h=.5*qchisq(.95,1),col='blue')
estremi<-locator(2)$x
abline(v=estremi,col='green')
estremi
[1] 0.07021336 0.97223470

