libname lib "C:\Documents and Settings\Administrator\My Documents\wip\stat_computaz\uno\esercizi\esame26giu2002";

/*----- Punto 1 --------------------------------------------------------*/
DATA lib.water;
	INFILE 'C:\Documents and Settings\Administrator\My Documents\wip\stat_computaz\uno\esercizi\esame26giu2002\water.dat'
			FIRSTOBS=2;
	INPUT	flag  $1  @;

	IF flag='*' THEN
		regione='Nord';
	ELSE
		regione='Sud';

	INPUT	nome	$	2-18
			mort	19-22
			@26
			durezza;

	DROP flag;
RUN;

/*----- Punto 2 --------------------------------------------------------*/
DATA water2;
	SET lib.water;
	IF durezza>70 THEN
		ind_dur=1;
	ELSE
		ind_dur=0;
RUN;

PROC FREQ DATA=water2;
	TABLES regione * ind_dur /CHISQ;
RUN;

/*----- Punto 3 --------------------------------------------------------*/
DATA water3;
	SET lib.water;
	durezza2=durezza**2;
	KEEP mort durezza durezza2;
RUN;

PROC REG DATA=water3;
	MODEL mort=durezza durezza2;
	output out=result predicted=pred residual=res;
RUN;
QUIT;

/*----- Punto 4 --------------------------------------------------------*/
title1 "Regressione Quadratica"; 
title2 "Mort * Durezza";
proc gplot data=water3;
     footnote "Diagramma di dispersione e curva interpolante";
     symbol interpol=rq
			cv=red
			value=diamond
			ci=blue
			width=2
			line=3;
     plot mort * durezza2 + durezza / regeqn ;
   run;
QUIT;
