#Esame del 17 Luglio 2002
#Parte R

#Esercizio 1

#a
#funzione : frgumbel

frgumbel <- function(x,p) {
    return(exp(-exp(-((x-p[1])/p[2]))))
}#frgumbel

#b
#frgumbel(5,c(3,2))
#[1] 0.6922006

#c
curve(frgumbel(x,c(3,2)),from=-10,to=20,xlab="x",ylab="F(x)")
dev.print(file='a:graf1.ps')

#d
rgumbel <- function(n,p) {
    campione <- NULL
        campione <- p[1]-p[2]*log((runif(n)))
    return(campione)
}#rgumbel

#e
rgumble.simula <- function(sigma,n=100,mu=3) {
    campione <- NULL 
    par(mfrow=c(2,2))
    for (i in 1:4) {
        campione <- rgumbel(n,c(mu,sigma[i]))
        hist(campione,col="lightblue",main=paste("rgumblel(",mu,",",sigma[1],",",sigma[i],")"),xlab="x",ylab="y")
    }#for
}#rgumble

dev.print(file='a:graf2.ps')

#Esercizio 2

#a
dati <- c(4.4,4.4,4.5,5.3,5.6,6.3,6.5,6.7,6.7,7.1,7.4,7.9,9.2,11.6,12.5,14.1,19.8,19.8,27.1)
stampa <- function() {
    par(mfrow=c(1,2))
    hist(dati,col="lightblue",main="Istogramma dati")
    boxplot(dati,main="Boxplot dati")
}#stampa
dev.print(file='a:graf3.ps')

#Vengono da una distribuzione normale, analisi con qqnorm & qqline

par(mfrow=c(1,1))
qqnorm(dati)
qqline(dati)

#Anche se la numerosit e bassa il campione non sembra normale

#b
nlvgumbel <- function(p,x) {
    n<-length(x)
    mu=p[1]
    sigma=p[2]
    return(n*log(sigma) + sum((x-mu)/sigma) + sum(exp(-((x-mu)/sigma))))
}#nlvgumbel

#c
nlvgumbel(c(2,3),dati)
#[1] 74.02624

#d
optim(c(3,2), nlvgumbel, x=dati)

#e
stampa.grafico <- function(dati) {
    n <- (1:length(dati))/(length(dati +1))
    st<-optim(c(3,2), nlvgumbel, x=dati)
    plot(n,frgumbel(dati,st$par))
}#stampa.grafico

grafico.prob <-function(dati) {
    sort(dati)
    p <- (optim(c(3,2), nlvgumbel, x=dati))$par
    funz <- frgumbel(dati,p)
    assex <- (1:length(dati))/(length(dati)+1)
    plot(assex,funz,col="red",main="Funzione di Ripartizione",xlab="i/(n+1)",ylab="F(xi)")
}#grafico.prob