/* 1 */
DATA water;
INFILE 'c:\utenti\water.dat' FIRSTOBS=2;
INPUT Regione $1 nome $2-18 mort 19-22 @26 durezza;
RUN;
/* 2*/
DATA water2;
SET water;
select;
    when (Regione = "*") 
        Regione =1;
    otherwise
        Regione = 0;
end; 
RUN;
/* con dicotomica */
PROC FREQ DATA = water;
    WHERE Durezza > 70;
    TABLES Regione * Durezza / CHISQ;
RUN;
/* con missing */
PROC FREQ DATA = water;
    WHERE Durezza > 70;
    TABLES Regione * Durezza / MISSING CHISQ;
RUN;
/* 3 */
DATA water3;
SET water;
durezza2 = durezza**2;
RUN;
PROC REG DATA = water3;
    MODEL mort = durezza2 durezza;
    OUTPUT OUT=result PREDICTED=pred RESIDUAL=res;
RUN;
/* 4 */
title1 "Regressione Quadratica"; 
title2 "Mort * Durezza";
proc gplot data=water3;
     footnote "Diagramma di dispersione e curva interpolante";
     symbol interpol=rq cv = red value = diamond ci = blue width = 2 line = 3;
     plot mort * durezza2 + durezza  / regeqn ;
   run;
QUIT;