libname bank_it 'c:\aa\corsi\corso-sas';

%let anno=1998;
title "Studio Banca d'Italia sulle famiglie italiane, anno &anno"; 
%let  regress = %str(
          proc reg data=tempor;
            model s = yl;
			plot  s * yl;
          run;
          );

data tempor;
  set bank_it.rfam&anno;
  set bank_it.cfam&anno;
  keep nquest y yl yc cd cn s;
  where y>0 & y<500000;
  label y  = 'reddito disponibile netto'
        yl = 'reddito da lavoro dipendente'
        yc = 'reddito da capitale'
        cd = 'consumi durevoli'
		cn = 'consumi non durevoli' 
		s  = 'risparmio';
run;

&regress