#-------------------------------------------------------------------------------
#----- Es 1.a ------------------------------------------------------------------
#-------------------------------------------------------------------------------
frgumbel<-function (x,p=c(0,1)) {
	return( exp(-exp(-(x-p[1])/p[2])) )
}


#-------------------------------------------------------------------------------
#----- Es 1.b ------------------------------------------------------------------
#-------------------------------------------------------------------------------
> frgumbel(5,c(3,2))
[1] 0.6922006


#-------------------------------------------------------------------------------
#----- Es 1.c ------------------------------------------------------------------
#-------------------------------------------------------------------------------
function () {
	tmp<-function (x) {return( exp(-exp(-(x-3)/2)) )}
	curve(tmp,-10,20,ylab='prob',xlab='quantili')
}



#-------------------------------------------------------------------------------
#----- Es 1.d ------------------------------------------------------------------
#-------------------------------------------------------------------------------
function (n,p=c(0,1)) {
	return ( p[1]-p[2]*log(-log(runif(n))) )
}


#-------------------------------------------------------------------------------
#----- Es 1.e ------------------------------------------------------------------
#-------------------------------------------------------------------------------
> part(2,2)
> for(i in 1:4) boxplot(rgumbel(100,c(3,c(.5,1,2,5)[i])))


#-------------------------------------------------------------------------------
#----- Es 2.a ------------------------------------------------------------------
#-------------------------------------------------------------------------------
> dati<-scan()
1: 4.4
2: 4.4
3: 4.5
4: 5.3
5: 5.6
6: 6.3
7: 6.5
8: 6.7
9: 6.7
10: 7.1
11: 7.4
12: 7.9
13: 8.2
14: 11.6
15: 12.5
16: 14.1
17: 19.8
18: 19.8
19: 27.1
20: 
Read 19 items
> dati
 [1]  4.4  4.4  4.5  5.3  5.6  6.3  6.5  6.7  6.7  7.1  7.4  7.9  8.2 11.6 12.5
[16] 14.1 19.8 19.8 27.1
> 
> part(1,2)
> hist(dati)
> boxplot(dati)
# i dati non sembrano provenire da una distribuzione normale perche' l'istogramma
# non ha una forma campanulare; il boxplot evidenzia la pesantezza della coda
# destra, inoltre la mediana non risulta centrata tra il 1 e 3 quartile.


#-------------------------------------------------------------------------------
#----- Es 2.b ------------------------------------------------------------------
#-------------------------------------------------------------------------------
nlvgumbel<-function (x,p=c(0,1)) {
	return ( length(x)*log(p[2]) + sum((x-p[1])/p[2]) + sum(exp(-((x-p[1])/p[2]))) )
}


#-------------------------------------------------------------------------------
#----- Es 2.c ------------------------------------------------------------------
#-------------------------------------------------------------------------------
> nlvgumbel(dati,c(2,3))
[1] 73.7288
> 


#-------------------------------------------------------------------------------
#----- Es 2.d ------------------------------------------------------------------
#-------------------------------------------------------------------------------
> optim(p=c(2,3),nlvgumbel,x=dati)$par
[1] 7.260773 3.677594
> 


#-------------------------------------------------------------------------------
#----- Es 2.e ------------------------------------------------------------------
#-------------------------------------------------------------------------------
gunbel.plot<-function (x) {
	gridx<-(1:length(x))/(length(x)+1)

	smv<-optim(p=c(2,3),nlvgumbel,x=x)$par
	gridy<-frgumbel(x,smv)
	
	plot(gridx,gridy)
}


